Subject: Re: Unexpected tcpv6 connection resets since linux 4.4

From: Andreas Messer <[email-masked]>
Date: Wed, 09 Mar 2016 20:12:34 +0100

On Mon, Mar 7, 2016 at 15:58, Cong Wang <[email-masked]>wrote:
> On Sun, Mar 6, 2016 at 7:10 AM, Andreas Messer <[email-masked]> wrote:
> > i have updated two of my machines in the last weeks to linux 4.4.1 and
> > linux 4.4.3. It seems that since then i get unexpected TCPv6 connection
> > resets when connecting to these machines remotely. The issue occurs with
> > sshd and with a http service. /etc/hosts.deny and /etc/hosts.allow are
> > empty on both server machines. I'm not so in IPv6 and have no idea whats
> > going on. Please find attached a network trace from one of the machines
> > when connecting with ssh (on port 23 for debugging).
> 
> Sounds like the problem fixed by the following commit:
> 
> commit 9cf7490360bf2c46a16b7525f899e4970c5fc144
> Author: Eric Dumazet <[email-masked]>
> Date:   Tue Feb 2 19:31:12 2016 -0800
> 
>     tcp: do not drop syn_recv on all icmp reports

Thanks for the tip. I applied the patch to V4,4,1 and it solved the problem.

Cheers,
Andreas